import { EventListeners } from '../types';
export default class EventPool {
    private readonly handlerSets;
    private readonly poolName;
    static createByType: (poolName: string, eventType: string, eventHandlers: import("../types").CallableEventListener[]) => EventPool;
    private constructor();
    addHandlers(eventType: string, eventHandlers: EventListeners): EventPool;
    dispatchEvent(eventType: string, event: Event): void;
    hasHandlers(): boolean;
    removeHandlers(eventType: String, eventHandlers: EventListeners): EventPool;
}
